Main Page Modules Data Structures File List Data Fields Globals Related Pages

# DBEnvObject Struct Reference

## Data Fields
PyObject_HEAD DB_ENV * | db_env
int | flags
int | closed
int | getReturnsNone

## Field Documentation

int DBEnvObject::closed

| Definition at line 181 of file _rpmdb.c. Referenced by DBEnv_close, DBEnv_dealloc, DBEnv_open, and newDBEnvObject.

PyObject_HEAD DB_ENV* DBEnvObject::db_env

| Definition at line 179 of file _rpmdb.c. Referenced by DB_dealloc, DBEnv_close, DBEnv_dealloc, DBEnv_getattr, DBEnv_lock_detect, DBEnv_lock_id, DBEnv_lock_put, DBEnv_lock_stat, DBEnv_log_archive, DBEnv_open, DBEnv_remove, DBEnv_set_cachesize, DBEnv_set_data_dir, DBEnv_set_lg_bsize, DBEnv_set_lg_dir, DBEnv_set_lg_max, DBEnv_set_lk_detect, DBEnv_set_lk_max, DBEnv_set_mp_mmapsize, DBEnv_set_tmp_dir, DBEnv_set_tx_max, DBEnv_txn_checkpoint, DBEnv_txn_stat, newDBEnvObject, newDBLockObject, newDBObject, and newDBTxnObject.

int DBEnvObject::flags

| Definition at line 180 of file _rpmdb.c. Referenced by DBEnv_open, and newDBEnvObject.

int DBEnvObject::getReturnsNone

| Definition at line 182 of file _rpmdb.c. Referenced by DBEnv_set_get_returns_none, newDBEnvObject, and newDBObject.

The documentation for this struct was generated from the following file:

- python/_rpmdb.c